package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasSysDepRelation;
import com.koobietech.eas.mbg.model.EasSysDepRelationExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasSysDepRelationMapper {
    long countByExample(EasSysDepRelationExample example);

    int deleteByExample(EasSysDepRelationExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasSysDepRelation record);

    int insertSelective(EasSysDepRelation record);

    List<EasSysDepRelation> selectByExample(EasSysDepRelationExample example);

    EasSysDepRelation selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasSysDepRelation record, @Param("example") EasSysDepRelationExample example);

    int updateByExample(@Param("record") EasSysDepRelation record, @Param("example") EasSysDepRelationExample example);

    int updateByPrimaryKeySelective(EasSysDepRelation record);

    int updateByPrimaryKey(EasSysDepRelation record);
}